#ifndef __CHAR_BOX_H__
#define __CHAR_BOX_H__

#include <gtkmm.h>

class CharBox
	: public Gtk::EventBox
{
	public:
	
	CharBox (char c, bool border);
	CharBox (const char *str, bool border);
	
	protected:
	
	Glib::ustring string;
	Gtk::EventBox *inner;
	Glib::RefPtr <Pango::Layout> layout;
	void size_allocated (Gdk::Rectangle& allocation);
	bool exposed (GdkEventExpose *event);
	void setup (const char *str, bool border);
};

#endif /* __CHAR_BOX_H__ */
